Doomsday Engine - Feature #1626

Feature # 7 (Progressed): Next-gen renderer (codename "Gloom")
Area-based fog

2013-10-22 08:02 - skyjake

Status: New Start date: 2013-10-22
Priority: Normal % Done: 0%
Assignee:

Category: Redesign

Target version: Rendering Il

Description

Area based fog, for instance using XG sectors.

Quite important for submersed environments, e.g., underwater.

Related issues:
Copied from Feature #1199: Shaders, Texture Maps + other ver.2 features. Closed 2003-06-18

History

#1 - 2013-10-22 22:09 - danij

Open question: Should fog "volumes" be defined using map geometry primitives (i.e., lines and vertexes) or via some other mechanism.

#2 - 2017-04-03 18:47 - skyjake

- Target version set to Modding

#3 - 2017-04-03 19:35 - skyjake

- Target version changed from Modding to Rendering Il
